<div class="container-fluid">
  <h3>Tutorial student log</h3>
  <table class="table table-hover edgar">
    <thead>
      <tr>
        <th>#</th>
        <th>Mongo ts</th>
        <th>Client ts</th>
        <th>Client IP</th>
        <th>Event name</th>
        <th>Event data</th>
      </tr>
    </thead>
    <tbody>
      <% for (var i = 0; i < events.length; ++i) { %>
        <tr>
          <td>
            <%= (i+1) %>
          </td>
          <td>
            <%= events[i].mongoTs  %>
          </td>
          <td>
            <%= events[i].clientTs  %>
          </td>
          <td>
            <%= events[i].ip  %>
          </td>
          <td>
            <%= events[i].eventName  %>
          </td>
          <td <% if (/error/i.test(events[i].eventData) || /warning/i.test(events[i].eventData)) {%> class="alert alert-danger"
            <%}%>>
              <%= ('' + events[i].eventData).replace(/\,/g, ', ') %>
          </td>
        </tr>
        <% } %>
    </tbody>
  </table>
</div>